%global _empty_manifest_terminate_build 0
Name:           python-cyborgclient
Version:        1.3.0
Release:        4
Summary:        Python client for cyborg API
License:        Apache-2.0
URL:            https://docs.openstack.org/python-cyborgclient/latest/
Source0:        https://files.pythonhosted.org/packages/cd/71/c5971ab0da2b3c7b5105925d848831c25de928799dfd6fd3e82bf1636ece/python-cyborgclient-1.3.0.tar.gz
Patch0:         Fix-import-exceptions.patch
BuildArch:      noarch
%description
python-cyborgclient is a python bindings to the OpenStack Cyborg
API. There's a Python API (the cyborgclient module), and a command-line script
(cyborg).

%package -n python3-cyborgclient
Summary:        Python client for cyborg API
Provides:       python-cyborgclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-prettytable
BuildRequires:  python3-cryptography
BuildRequires:  python3-decorator
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-os-client-config
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-requests
BuildRequires:  python3-stevedore
# General requires
Requires:       python3-prettytable
Requires:       python3-cryptography
Requires:       python3-decorator
Requires:       python3-keystoneauth1
Requires:       python3-openstacksdk
Requires:       python3-os-client-config
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-stevedore
%description -n python3-cyborgclient
python-cyborgclient is a python bindings to the OpenStack Cyborg
API. There's a Python API (the cyborgclient module), and a command-line script
(cyborg).

%package help
Summary:        Python client for cyborg API
Provides:       python3-cyborgclient-doc
%description help
python-cyborgclient is a python bindings to the OpenStack Cyborg
API. There's a Python API (the cyborgclient module), and a command-line script
(cyborg).

%prep
%autosetup -n python-cyborgclient-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# hacking doesn't satisfy the test required version
#%check
#%{__python3} setup.py test

%files -n python3-cyborgclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 1.3.0-4
- Fix install error

* Tue Oct 25 2022 wangxiyuan <wangxiyuan1007@gmail.com> - 1.3.0-3
- Drop check part

* Mon Mar 07 2022 huangtianhua <huangtianhua@huawei.com> - 1.3.0-2
- Fix build error

* Mon Feb 14 2022 OpenStack_SIG <openstack@openeuler.org> - 1.3.0-1
- Init package python3-cyborgclient of version 1.3.0

